> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# debug_getRawHeader | Plasma

> Plasma API method that returns the RLP-encoded header. quantity or tag — the block number in hex format or block tag (latest, earliest, pending, safe.

Plasma API method that returns the RLP-encoded header.

## Parameters

* `quantity or tag` — the block number in hex format or block tag (`latest`, `earliest`, `pending`, `safe`, `finalized`)

## Response

* `data` — the RLP-encoded header

## `debug_getRawHeader` code examples

```javascript ethers.js theme={"system"}
const { JsonRpcProvider } = require("ethers");

const provider = new JsonRpcProvider("CHAINSTACK_NODE_URL");

async function call() {
  const result = await provider.send("debug_getRawHeader", [
    "latest"
  ]);
  console.log(result);
}

call();
```

```python web3.py theme={"system"}
from web3 import Web3

node_url = "CHAINSTACK_NODE_URL"
web3 = Web3(Web3.HTTPProvider(node_url))

# Make the call
# Add your parameters here
# result = web3.eth.<method_name>(...)
print(result)
```

```shell cURL theme={"system"}
curl -X POST "CHAINSTACK_NODE_URL" \
  -H "Content-Type: application/json" \
  --data '{
    "jsonrpc": "2.0",
    "method": "debug_getRawHeader",
    "params": [],
    "id": 1
  }'
```


## OpenAPI

````yaml openapi/plasma_node_api/debug_and_trace/debug_getRawHeader.json POST /mt_c524ad9781ae5dccd9ac6f5b0370e
openapi: 3.0.0
info:
  title: Chainstack Node API
  version: 1.0.0
  description: This is an API for interacting with a Chainstack node.
servers:
  - url: https://plasma-mainnet.core.chainstack.com
security: []
paths:
  /mt_c524ad9781ae5dccd9ac6f5b0370e:
    post:
      tags:
        - upload
      summary: debug_getRawHeader
      operationId: debugGetRawHeader
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: debug_getRawHeader
                params:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        title: Block
                        description: Block number or tag (latest, earliest, pending).
                  default:
                    - latest
      responses:
        '200':
          description: Returns the RLP-encoded header.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object
                    nullable: true

````